using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATProcessGroup")]
[Index("ProcessGroup", Name = "ATProcessGroup_IX_ProcessGroup")]
public partial class AtprocessGroup
{
    [Key]
    [Column("ProcessGroupID")]
    public int ProcessGroupId { get; set; }

    [StringLength(32)]
    public string ProcessGroup { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("ProcessGroup")]
    public virtual ICollection<AtprocessDefinition> AtprocessDefinitions { get; set; } = new List<AtprocessDefinition>();
}
